﻿using RecrownedAthenaeum.ContentSystem;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RecrownedAthenaeum.ContentSystem.ContentResolvers
{
    class FontContentResolver : IContentPathModifier
    {
        readonly ResolutionContentResolver rcr;

        public FontContentResolver(ResolutionContentResolver rcr)
        {
            this.rcr = rcr;
        }

        public string Modify(string assetName)
        {
            return rcr.Modify("fonts/" + assetName);
        }
    }
}
